org.keycloak.models.jpa.entities

## Class ClientEntity

- java.lang.Object
- - org.keycloak.models.jpa.entities.ClientEntity

-     @Entity
      public class ClientEntity
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,String>` | `attributes`
    `protected ClientTemplateEntity` | `clientTemplate`
    `protected RealmEntity` | `realm`
    `protected Set<String>` | `redirectUris`
    `protected Set<String>` | `webOrigins`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `Map<String,String>` | `getAttributes()`
    `String` | `getBaseUrl()`
    `String` | `getClientAuthenticatorType()`
    `String` | `getClientId()`
    `ClientTemplateEntity` | `getClientTemplate()`
    `Collection<RoleEntity>` | `getDefaultRoles()`
    `String` | `getDescription()`
    `String` | `getId()`
    `Collection<ClientIdentityProviderMappingEntity>` | `getIdentityProviders()`
    `String` | `getManagementUrl()`
    `String` | `getName()`
    `int` | `getNodeReRegistrationTimeout()`
    `int` | `getNotBefore()`
    `String` | `getProtocol()`
    `Collection<ProtocolMapperEntity>` | `getProtocolMappers()`
    `RealmEntity` | `getRealm()`
    `Set<String>` | `getRedirectUris()`
    `Map<String,Integer>` | `getRegisteredNodes()`
    `String` | `getRegistrationToken()`
    `String` | `getRootUrl()`
    `String` | `getSecret()`
    `Set<String>` | `getWebOrigins()`
    `int` | `hashCode()`
    `boolean` | `isBearerOnly()`
    `boolean` | `isConsentRequired()`
    `boolean` | `isDirectAccessGrantsEnabled()`
    `boolean` | `isEnabled()`
    `boolean` | `isFrontchannelLogout()`
    `boolean` | `isFullScopeAllowed()`
    `boolean` | `isImplicitFlowEnabled()`
    `boolean` | `isPublicClient()`
    `boolean` | `isServiceAccountsEnabled()`
    `boolean` | `isStandardFlowEnabled()`
    `boolean` | `isSurrogateAuthRequired()`
    `boolean` | `isUseTemplateConfig()`
    `boolean` | `isUseTemplateMappers()`
    `boolean` | `isUseTemplateScope()`
    `void` | `setAttributes(Map<String,String> attributes)`
    `void` | `setBaseUrl(String baseUrl)`
    `void` | `setBearerOnly(boolean bearerOnly)`
    `void` | `setClientAuthenticatorType(String clientAuthenticatorType)`
    `void` | `setClientId(String clientId)`
    `void` | `setClientTemplate(ClientTemplateEntity clientTemplate)`
    `void` | `setConsentRequired(boolean consentRequired)`
    `void` | `setDefaultRoles(Collection<RoleEntity> defaultRoles)`
    `void` | `setDescription(String description)`
    `void` | `setDirectAccessGrantsEnabled(boolean directAccessGrantsEnabled)`
    `void` | `setEnabled(boolean enabled)`
    `void` | `setFrontchannelLogout(boolean frontchannelLogout)`
    `void` | `setFullScopeAllowed(boolean fullScopeAllowed)`
    `void` | `setId(String id)`
    `void` | `setIdentityProviders(Collection<ClientIdentityProviderMappingEntity> identityProviders)`
    `void` | `setImplicitFlowEnabled(boolean implicitFlowEnabled)`
    `void` | `setManagementUrl(String managementUrl)`
    `void` | `setName(String name)`
    `void` | `setNodeReRegistrationTimeout(int nodeReRegistrationTimeout)`
    `void` | `setNotBefore(int notBefore)`
    `void` | `setProtocol(String protocol)`
    `void` | `setProtocolMappers(Collection<ProtocolMapperEntity> protocolMappers)`
    `void` | `setPublicClient(boolean publicClient)`
    `void` | `setRealm(RealmEntity realm)`
    `void` | `setRedirectUris(Set<String> redirectUris)`
    `void` | `setRegisteredNodes(Map<String,Integer> registeredNodes)`
    `void` | `setRegistrationToken(String registrationToken)`
    `void` | `setRootUrl(String rootUrl)`
    `void` | `setSecret(String secret)`
    `void` | `setServiceAccountsEnabled(boolean serviceAccountsEnabled)`
    `void` | `setStandardFlowEnabled(boolean standardFlowEnabled)`
    `void` | `setSurrogateAuthRequired(boolean surrogateAuthRequired)`
    `void` | `setUseTemplateConfig(boolean useTemplateConfig)`
    `void` | `setUseTemplateMappers(boolean useTemplateMappers)`
    `void` | `setUseTemplateScope(boolean useTemplateScope)`
    `void` | `setWebOrigins(Set<String> webOrigins)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### clientTemplate

          protected ClientTemplateEntity clientTemplate

    - #### realm

          protected RealmEntity realm

    - #### webOrigins

          protected Set<String> webOrigins

    - #### redirectUris

          protected Set<String> redirectUris

    - #### attributes

          protected Map<String,String> attributes

  - ### Constructor Detail

    - #### ClientEntity

          public ClientEntity()

  - ### Method Detail

    - #### getRealm

          public RealmEntity getRealm()

    - #### setRealm

          public void setRealm(RealmEntity realm)

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### isEnabled

          public boolean isEnabled()

    - #### setEnabled

          public void setEnabled(boolean enabled)

    - #### getClientId

          public String getClientId()

    - #### setClientId

          public void setClientId(String clientId)

    - #### getWebOrigins

          public Set<String> getWebOrigins()

    - #### setWebOrigins

          public void setWebOrigins(Set<String> webOrigins)

    - #### getRedirectUris

          public Set<String> getRedirectUris()

    - #### setRedirectUris

          public void setRedirectUris(Set<String> redirectUris)

    - #### getClientAuthenticatorType

          public String getClientAuthenticatorType()

    - #### setClientAuthenticatorType

          public void setClientAuthenticatorType(String clientAuthenticatorType)

    - #### getSecret

          public String getSecret()

    - #### setSecret

          public void setSecret(String secret)

    - #### getRegistrationToken

          public String getRegistrationToken()

    - #### setRegistrationToken

          public void setRegistrationToken(String registrationToken)

    - #### getNotBefore

          public int getNotBefore()

    - #### setNotBefore

          public void setNotBefore(int notBefore)

    - #### isPublicClient

          public boolean isPublicClient()

    - #### setPublicClient

          public void setPublicClient(boolean publicClient)

    - #### isFullScopeAllowed

          public boolean isFullScopeAllowed()

    - #### setFullScopeAllowed

          public void setFullScopeAllowed(boolean fullScopeAllowed)

    - #### getAttributes

          public Map<String,String> getAttributes()

    - #### setAttributes

          public void setAttributes(Map<String,String> attributes)

    - #### getProtocol

          public String getProtocol()

    - #### setProtocol

          public void setProtocol(String protocol)

    - #### isFrontchannelLogout

          public boolean isFrontchannelLogout()

    - #### setFrontchannelLogout

          public void setFrontchannelLogout(boolean frontchannelLogout)

    - #### getIdentityProviders

          public Collection<ClientIdentityProviderMappingEntity> getIdentityProviders()

    - #### setIdentityProviders

          public void setIdentityProviders(Collection<ClientIdentityProviderMappingEntity> identityProviders)

    - #### getProtocolMappers

          public Collection<ProtocolMapperEntity> getProtocolMappers()

    - #### setProtocolMappers

          public void setProtocolMappers(Collection<ProtocolMapperEntity> protocolMappers)

    - #### isSurrogateAuthRequired

          public boolean isSurrogateAuthRequired()

    - #### setSurrogateAuthRequired

          public void setSurrogateAuthRequired(boolean surrogateAuthRequired)

    - #### getRootUrl

          public String getRootUrl()

    - #### setRootUrl

          public void setRootUrl(String rootUrl)

    - #### getBaseUrl

          public String getBaseUrl()

    - #### setBaseUrl

          public void setBaseUrl(String baseUrl)

    - #### getManagementUrl

          public String getManagementUrl()

    - #### setManagementUrl

          public void setManagementUrl(String managementUrl)

    - #### getDefaultRoles

          public Collection<RoleEntity> getDefaultRoles()

    - #### setDefaultRoles

          public void setDefaultRoles(Collection<RoleEntity> defaultRoles)

    - #### isBearerOnly

          public boolean isBearerOnly()

    - #### setBearerOnly

          public void setBearerOnly(boolean bearerOnly)

    - #### isConsentRequired

          public boolean isConsentRequired()

    - #### setConsentRequired

          public void setConsentRequired(boolean consentRequired)

    - #### isStandardFlowEnabled

          public boolean isStandardFlowEnabled()

    - #### setStandardFlowEnabled

          public void setStandardFlowEnabled(boolean standardFlowEnabled)

    - #### isImplicitFlowEnabled

          public boolean isImplicitFlowEnabled()

    - #### setImplicitFlowEnabled

          public void setImplicitFlowEnabled(boolean implicitFlowEnabled)

    - #### isDirectAccessGrantsEnabled

          public boolean isDirectAccessGrantsEnabled()

    - #### setDirectAccessGrantsEnabled

          public void setDirectAccessGrantsEnabled(boolean directAccessGrantsEnabled)

    - #### isServiceAccountsEnabled

          public boolean isServiceAccountsEnabled()

    - #### setServiceAccountsEnabled

          public void setServiceAccountsEnabled(boolean serviceAccountsEnabled)

    - #### getNodeReRegistrationTimeout

          public int getNodeReRegistrationTimeout()

    - #### setNodeReRegistrationTimeout

          public void setNodeReRegistrationTimeout(int nodeReRegistrationTimeout)

    - #### getRegisteredNodes

          public Map<String,Integer> getRegisteredNodes()

    - #### setRegisteredNodes

          public void setRegisteredNodes(Map<String,Integer> registeredNodes)

    - #### getClientTemplate

          public ClientTemplateEntity getClientTemplate()

    - #### setClientTemplate

          public void setClientTemplate(ClientTemplateEntity clientTemplate)

    - #### isUseTemplateConfig

          public boolean isUseTemplateConfig()

    - #### setUseTemplateConfig

          public void setUseTemplateConfig(boolean useTemplateConfig)

    - #### isUseTemplateScope

          public boolean isUseTemplateScope()

    - #### setUseTemplateScope

          public void setUseTemplateScope(boolean useTemplateScope)

    - #### isUseTemplateMappers

          public boolean isUseTemplateMappers()

    - #### setUseTemplateMappers

          public void setUseTemplateMappers(boolean useTemplateMappers)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2016 JBoss by Red Hat. All rights reserved.